package com.zbf.system.domain;

    import java.util.HashMap;
import java.util.List;
import java.util.Map;

    import com.fasterxml.jackson.annotation.JsonProperty;
    import com.zbf.common.core.domain.BaseEntity;
    import lombok.Data;

/**
 * 入库通知单明细更新参数
 *
 * @author tony
 * @date 2024-06-18
 */
@Data
public class TRkWareNoticeTabUpdate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 通知单主键ID */
    private String id;

    /** 通知单ID */
    private String noticeId;

    /**来源单号 */
    private String deliveryId;

    /** 仓库ID */
    private String storageId;
    /** 仓库ID */
    private String storageShortName;

    /** 库位 */
    private String storageLocation;

    /** 库区 */
    private String storageAreaId;

    /** 入库类型 */
    private String storageMode;

    /** 用户账号 */
    private String userName;

    private Map<String, String> extras = new HashMap<>();

    /** 手持用字段 */
    private String recordPerson;

    /** 托盘号 */
    private String ctlNo;

    /** 部门ID */
    private Long deptId;

    /**物料编码 */
    private String goodsId;

    /**物料名称 */
    private String goodsName;

    /**打印条码数量 */
    private int  printNum;

    /**收货数量 */
    private int receiveNum;

    /**子需求编号 */
    private String salesOrderNumber;

    /**虚拟收货 */
    private String fictitious;

    /**规格型号 */
    private String specification;

    /** 通知单明细 */
    private List<TRkWareNoticeTab> trkWareNoticeTabList;

    /** 入库任务明细 */
    private List<TOngoodsshelf> tOngoodsshelfList;

    private  String rkMxId;

    private String locationId;

    private String types;

    private String rfidTid;

    private String rfidEpc;

    public String getRfidTid() {
        return rfidTid;
    }

    public void setRfidTid(String rfidTid) {
        this.rfidTid = rfidTid;
    }

    public String getRfidEpc() {
        return rfidEpc;
    }

    public void setRfidEpc(String rfidEpc) {
        this.rfidEpc = rfidEpc;
    }

    public String getTypes() {
        return types;
    }

    public void setTypes(String types) {
        this.types = types;
    }

    public String getRkMxId() {
        return rkMxId;
    }

    public void setRkMxId(String rkMxId) {
        this.rkMxId = rkMxId;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getCtlNo() {
        return ctlNo;
    }

    public void setCtlNo(String ctlNo) {
        this.ctlNo = ctlNo;
    }

    public String getRecordPerson() {
        return recordPerson;
    }

    public void setRecordPerson(String recordPerson) {
        this.recordPerson = recordPerson;
    }

    public String getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(String recordDate) {
        this.recordDate = recordDate;
    }

    private String recordDate;

    public Map<String, String> getExtras() {
        return extras;
    }

    public void setExtras(Map<String, String> extras) {
        this.extras = extras;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getStorageMode() {
        return storageMode;
    }

    public void setStorageMode(String storageMode) {
        this.storageMode = storageMode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNoticeId() {
        return noticeId;
    }

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public void setNoticeId(String noticeId) {
        this.noticeId = noticeId;
    }

    public String getStorageId() {
        return storageId;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    public String getStorageLocation() {
        return storageLocation;
    }

    public void setStorageLocation(String storageLocation) {
        this.storageLocation = storageLocation;
    }

    public String getStorageAreaId() {
        return storageAreaId;
    }

    public void setStorageAreaId(String storageAreaId) {
        this.storageAreaId = storageAreaId;
    }

    public List<TRkWareNoticeTab> getTrkWareNoticeTabList() {
        return trkWareNoticeTabList;
    }

    public void setTrkWareNoticeTabList(List<TRkWareNoticeTab> trkWareNoticeTabList) {
        this.trkWareNoticeTabList = trkWareNoticeTabList;
    }

    public List<TOngoodsshelf> gettOngoodsshelfList() {
        return tOngoodsshelfList;
    }

    public void settOngoodsshelfList(List<TOngoodsshelf> tOngoodsshelfList) {
        this.tOngoodsshelfList = tOngoodsshelfList;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public int getPrintNum() {
        return printNum;
    }

    public void setPrintNum(int printNum) {
        this.printNum = printNum;
    }

    public int getReceiveNum() {
        return receiveNum;
    }

    public void setReceiveNum(int receiveNum) {
        this.receiveNum = receiveNum;
    }

    public String getSalesOrderNumber() {
        return salesOrderNumber;
    }

    public void setSalesOrderNumber(String salesOrderNumber) {
        this.salesOrderNumber = salesOrderNumber;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

	public String getFictitious() {
        return fictitious;
    }

    public void setFictitious(String fictitious) {
        this.fictitious = fictitious;
    }

    public String getDeliveryId() {
        return deliveryId;
    }

    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }
}
